// python wrapper for vtkGDCMImageReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMImageReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMImageReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMImageReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMedicalImageReader2New(char *); }

static PyObject *PyvtkGDCMImageReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  const char    *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkGDCMImageReader  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGDCMImageReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGDCMImageReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  const char    *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  const char    *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetDirectionCosines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkMatrix4x4  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetDirectionCosines();
      }
    else
      {
      temp20 = op->GetDirectionCosines();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetMedicalImageProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkMedicalImageProperties  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetMedicalImageProperties();
      }
    else
      {
      temp20 = op->GetMedicalImageProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SetMedicalImageProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkMedicalImageProperties  *temp0;
  PyObject *tempH0;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMedicalImageProperties *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMedicalImageProperties");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::SetMedicalImageProperties(temp0);
      }
    else
      {
      op->SetMedicalImageProperties(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SetFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::SetFileNames(temp0);
      }
    else
      {
      op->SetFileNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkStringArray  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetFileNames();
      }
    else
      {
      temp20 = op->GetFileNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetLoadOverlays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetLoadOverlays();
      }
    else
      {
      temp20 = op->GetLoadOverlays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SetLoadOverlays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp0;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::SetLoadOverlays(temp0);
      }
    else
      {
      op->SetLoadOverlays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_LoadOverlaysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::LoadOverlaysOn();
      }
    else
      {
      op->LoadOverlaysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_LoadOverlaysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::LoadOverlaysOff();
      }
    else
      {
      op->LoadOverlaysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetLoadIconImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetLoadIconImage();
      }
    else
      {
      temp20 = op->GetLoadIconImage();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SetLoadIconImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp0;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::SetLoadIconImage(temp0);
      }
    else
      {
      op->SetLoadIconImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_LoadIconImageOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::LoadIconImageOn();
      }
    else
      {
      op->LoadIconImageOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_LoadIconImageOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::LoadIconImageOff();
      }
    else
      {
      op->LoadIconImageOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetLossyFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetLossyFlag();
      }
    else
      {
      temp20 = op->GetLossyFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SetLossyFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp0;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::SetLossyFlag(temp0);
      }
    else
      {
      op->SetLossyFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_LossyFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::LossyFlagOn();
      }
    else
      {
      op->LossyFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_LossyFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::LossyFlagOff();
      }
    else
      {
      op->LossyFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetNumberOfOverlays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetNumberOfOverlays();
      }
    else
      {
      temp20 = op->GetNumberOfOverlays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetNumberOfIconImages(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetNumberOfIconImages();
      }
    else
      {
      temp20 = op->GetNumberOfIconImages();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp0;
  vtkImageData  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetOverlay(temp0);
      }
    else
      {
      temp20 = op->GetOverlay(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetIconImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkImageData  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetIconImage();
      }
    else
      {
      temp20 = op->GetIconImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetApplyLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetApplyLookupTable();
      }
    else
      {
      temp20 = op->GetApplyLookupTable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SetApplyLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp0;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::SetApplyLookupTable(temp0);
      }
    else
      {
      op->SetApplyLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_ApplyLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::ApplyLookupTableOn();
      }
    else
      {
      op->ApplyLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_ApplyLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::ApplyLookupTableOff();
      }
    else
      {
      op->ApplyLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetApplyYBRToRGB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetApplyYBRToRGB();
      }
    else
      {
      temp20 = op->GetApplyYBRToRGB();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SetApplyYBRToRGB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp0;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::SetApplyYBRToRGB(temp0);
      }
    else
      {
      op->SetApplyYBRToRGB(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_ApplyYBRToRGBOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::ApplyYBRToRGBOn();
      }
    else
      {
      op->ApplyYBRToRGBOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_ApplyYBRToRGBOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::ApplyYBRToRGBOff();
      }
    else
      {
      op->ApplyYBRToRGBOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetImageFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetImageFormat();
      }
    else
      {
      temp20 = op->GetImageFormat();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetPlanarConfiguration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  int      temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetPlanarConfiguration();
      }
    else
      {
      temp20 = op->GetPlanarConfiguration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetImagePositionPatient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  double  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetImagePositionPatient();
      }
    else
      {
      temp20 = op->GetImagePositionPatient();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetImageOrientationPatient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  double  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetImageOrientationPatient();
      }
    else
      {
      temp20 = op->GetImageOrientationPatient();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetCurve(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkPolyData  *temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetCurve();
      }
    else
      {
      temp20 = op->GetCurve();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_SetCurve(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageReader::SetCurve(temp0);
      }
    else
      {
      op->SetCurve(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  double   temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetShift();
      }
    else
      {
      temp20 = op->GetShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageReader_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageReader *op;

  double   temp20;
  op = (vtkGDCMImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageReader::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGDCMImageReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGDCMImageReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGDCMImageReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGDCMImageReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMImageReader\nC++: vtkGDCMImageReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGDCMImageReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMImageReader\nC++: vtkGDCMImageReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkGDCMImageReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *fname);\n\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkGDCMImageReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n A descriptive name for this format\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkGDCMImageReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n Get the Image Position (Patient) as stored in the DICOM file\n This is a read-only data member\n"},
  {(char*)"GetDirectionCosines",                (PyCFunction)PyvtkGDCMImageReader_GetDirectionCosines, 1,
   (char*)"V.GetDirectionCosines() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetDirectionCosines ();\n\n Get the Image Position (Patient) as stored in the DICOM file\n This is a read-only data member\n"},
  {(char*)"GetMedicalImageProperties",                (PyCFunction)PyvtkGDCMImageReader_GetMedicalImageProperties, 1,
   (char*)"V.GetMedicalImageProperties() -> vtkMedicalImageProperties\nC++: vtkMedicalImageProperties *GetMedicalImageProperties ();\n\n Get the medical image properties object\n"},
  {(char*)"SetMedicalImageProperties",                (PyCFunction)PyvtkGDCMImageReader_SetMedicalImageProperties, 1,
   (char*)"V.SetMedicalImageProperties(vtkMedicalImageProperties)\nC++: virtual void SetMedicalImageProperties (vtkMedicalImageProperties *pd);\n\n Get the medical image properties object\n"},
  {(char*)"SetFileNames",                (PyCFunction)PyvtkGDCMImageReader_SetFileNames, 1,
   (char*)"V.SetFileNames(vtkStringArray)\nC++: virtual void SetFileNames (vtkStringArray *);\n\n"},
  {(char*)"GetFileNames",                (PyCFunction)PyvtkGDCMImageReader_GetFileNames, 1,
   (char*)"V.GetFileNames() -> vtkStringArray\nC++: vtkStringArray *GetFileNames ();\n\n"},
  {(char*)"GetLoadOverlays",                (PyCFunction)PyvtkGDCMImageReader_GetLoadOverlays, 1,
   (char*)"V.GetLoadOverlays() -> int\nC++: int GetLoadOverlays ();\n\n Specifically request to load the overlay into the gdcm-VTK layer (gdcm always loads them when found).\n If no overlay is found in the image, then the vtkImageData for the overlay will be empty.\n"},
  {(char*)"SetLoadOverlays",                (PyCFunction)PyvtkGDCMImageReader_SetLoadOverlays, 1,
   (char*)"V.SetLoadOverlays(int)\nC++: void SetLoadOverlays (int );\n\n Specifically request to load the overlay into the gdcm-VTK layer (gdcm always loads them when found).\n If no overlay is found in the image, then the vtkImageData for the overlay will be empty.\n"},
  {(char*)"LoadOverlaysOn",                (PyCFunction)PyvtkGDCMImageReader_LoadOverlaysOn, 1,
   (char*)"V.LoadOverlaysOn()\nC++: void LoadOverlaysOn ();\n\n Specifically request to load the overlay into the gdcm-VTK layer (gdcm always loads them when found).\n If no overlay is found in the image, then the vtkImageData for the overlay will be empty.\n"},
  {(char*)"LoadOverlaysOff",                (PyCFunction)PyvtkGDCMImageReader_LoadOverlaysOff, 1,
   (char*)"V.LoadOverlaysOff()\nC++: void LoadOverlaysOff ();\n\n Specifically request to load the overlay into the gdcm-VTK layer (gdcm always loads them when found).\n If no overlay is found in the image, then the vtkImageData for the overlay will be empty.\n"},
  {(char*)"GetLoadIconImage",                (PyCFunction)PyvtkGDCMImageReader_GetLoadIconImage, 1,
   (char*)"V.GetLoadIconImage() -> int\nC++: int GetLoadIconImage ();\n\n Set/Get whether or not to load the Icon as vtkImageData (if found in the DICOM file)\n"},
  {(char*)"SetLoadIconImage",                (PyCFunction)PyvtkGDCMImageReader_SetLoadIconImage, 1,
   (char*)"V.SetLoadIconImage(int)\nC++: void SetLoadIconImage (int );\n\n Set/Get whether or not to load the Icon as vtkImageData (if found in the DICOM file)\n"},
  {(char*)"LoadIconImageOn",                (PyCFunction)PyvtkGDCMImageReader_LoadIconImageOn, 1,
   (char*)"V.LoadIconImageOn()\nC++: void LoadIconImageOn ();\n\n Set/Get whether or not to load the Icon as vtkImageData (if found in the DICOM file)\n"},
  {(char*)"LoadIconImageOff",                (PyCFunction)PyvtkGDCMImageReader_LoadIconImageOff, 1,
   (char*)"V.LoadIconImageOff()\nC++: void LoadIconImageOff ();\n\n Set/Get whether or not to load the Icon as vtkImageData (if found in the DICOM file)\n"},
  {(char*)"GetLossyFlag",                (PyCFunction)PyvtkGDCMImageReader_GetLossyFlag, 1,
   (char*)"V.GetLossyFlag() -> int\nC++: int GetLossyFlag ();\n\n Set/Get whether or not the image was compressed using a lossy compression algorithm\n"},
  {(char*)"SetLossyFlag",                (PyCFunction)PyvtkGDCMImageReader_SetLossyFlag, 1,
   (char*)"V.SetLossyFlag(int)\nC++: void SetLossyFlag (int );\n\n Set/Get whether or not the image was compressed using a lossy compression algorithm\n"},
  {(char*)"LossyFlagOn",                (PyCFunction)PyvtkGDCMImageReader_LossyFlagOn, 1,
   (char*)"V.LossyFlagOn()\nC++: void LossyFlagOn ();\n\n Set/Get whether or not the image was compressed using a lossy compression algorithm\n"},
  {(char*)"LossyFlagOff",                (PyCFunction)PyvtkGDCMImageReader_LossyFlagOff, 1,
   (char*)"V.LossyFlagOff()\nC++: void LossyFlagOff ();\n\n Set/Get whether or not the image was compressed using a lossy compression algorithm\n"},
  {(char*)"GetNumberOfOverlays",                (PyCFunction)PyvtkGDCMImageReader_GetNumberOfOverlays, 1,
   (char*)"V.GetNumberOfOverlays() -> int\nC++: int GetNumberOfOverlays ();\n\n Read only: number of overlays as found in this image (multiple overlays per slice is allowed)\n Only valid when LoadOverlays is true\n"},
  {(char*)"GetNumberOfIconImages",                (PyCFunction)PyvtkGDCMImageReader_GetNumberOfIconImages, 1,
   (char*)"V.GetNumberOfIconImages() -> int\nC++: int GetNumberOfIconImages ();\n\n Read only: number of icon image (there can only be zero or one icon per file)\n Only valid when LoadIconImage is true\n"},
  {(char*)"GetOverlay",                (PyCFunction)PyvtkGDCMImageReader_GetOverlay, 1,
   (char*)"V.GetOverlay(int) -> vtkImageData\nC++: vtkImageData *GetOverlay (int i);\n\n Get Overlay/IconImage\n Remember to ALWAYS use those methods in your code, as the internal number for the output port\n is not garantee to remain the same, as features are added to the reader\nFIXME: Need to get rid of BTX/ETX if only the Python Wrapper of VTK 4.2 would let me\n"},
  {(char*)"GetIconImage",                (PyCFunction)PyvtkGDCMImageReader_GetIconImage, 1,
   (char*)"V.GetIconImage() -> vtkImageData\nC++: vtkImageData *GetIconImage ();\n\n Get Overlay/IconImage\n Remember to ALWAYS use those methods in your code, as the internal number for the output port\n is not garantee to remain the same, as features are added to the reader\nFIXME: Need to get rid of BTX/ETX if only the Python Wrapper of VTK 4.2 would let me\n"},
  {(char*)"GetApplyLookupTable",                (PyCFunction)PyvtkGDCMImageReader_GetApplyLookupTable, 1,
   (char*)"V.GetApplyLookupTable() -> int\nC++: int GetApplyLookupTable ();\n\n Load image with its associated Lookup Table\n"},
  {(char*)"SetApplyLookupTable",                (PyCFunction)PyvtkGDCMImageReader_SetApplyLookupTable, 1,
   (char*)"V.SetApplyLookupTable(int)\nC++: void SetApplyLookupTable (int );\n\n Load image with its associated Lookup Table\n"},
  {(char*)"ApplyLookupTableOn",                (PyCFunction)PyvtkGDCMImageReader_ApplyLookupTableOn, 1,
   (char*)"V.ApplyLookupTableOn()\nC++: void ApplyLookupTableOn ();\n\n Load image with its associated Lookup Table\n"},
  {(char*)"ApplyLookupTableOff",                (PyCFunction)PyvtkGDCMImageReader_ApplyLookupTableOff, 1,
   (char*)"V.ApplyLookupTableOff()\nC++: void ApplyLookupTableOff ();\n\n Load image with its associated Lookup Table\n"},
  {(char*)"GetApplyYBRToRGB",                (PyCFunction)PyvtkGDCMImageReader_GetApplyYBRToRGB, 1,
   (char*)"V.GetApplyYBRToRGB() -> int\nC++: int GetApplyYBRToRGB ();\n\n Load image as YBR\n"},
  {(char*)"SetApplyYBRToRGB",                (PyCFunction)PyvtkGDCMImageReader_SetApplyYBRToRGB, 1,
   (char*)"V.SetApplyYBRToRGB(int)\nC++: void SetApplyYBRToRGB (int );\n\n Load image as YBR\n"},
  {(char*)"ApplyYBRToRGBOn",                (PyCFunction)PyvtkGDCMImageReader_ApplyYBRToRGBOn, 1,
   (char*)"V.ApplyYBRToRGBOn()\nC++: void ApplyYBRToRGBOn ();\n\n Load image as YBR\n"},
  {(char*)"ApplyYBRToRGBOff",                (PyCFunction)PyvtkGDCMImageReader_ApplyYBRToRGBOff, 1,
   (char*)"V.ApplyYBRToRGBOff()\nC++: void ApplyYBRToRGBOff ();\n\n Load image as YBR\n"},
  {(char*)"GetImageFormat",                (PyCFunction)PyvtkGDCMImageReader_GetImageFormat, 1,
   (char*)"V.GetImageFormat() -> int\nC++: int GetImageFormat ();\n\n Return VTK_LUMINANCE, VTK_INVERSE_LUMINANCE, VTK_RGB, VTK_RGBA, VTK_LOOKUP_TABLE, VTK_YBR or VTK_CMYK\n or 0 when ImageFormat is not handled.\n Warning: For color image, PlanarConfiguration need to be taken into account.\n"},
  {(char*)"GetPlanarConfiguration",                (PyCFunction)PyvtkGDCMImageReader_GetPlanarConfiguration, 1,
   (char*)"V.GetPlanarConfiguration() -> int\nC++: int GetPlanarConfiguration ();\n\n Return the Planar Configuration. This simply means that the internal DICOM image was stored\n using a particular planar configuration (most of the time: 0)\n For monochrome image, PlanarConfiguration is always 0\n"},
  {(char*)"GetImagePositionPatient",                (PyCFunction)PyvtkGDCMImageReader_GetImagePositionPatient, 1,
   (char*)"V.GetImagePositionPatient() -> (float, float, float)\nC++: double  *GetImagePositionPatient ();\n\n Return the 'raw' information stored in the DICOM file:\n In case of a series of multiple files, only the first file is considered. The Image Orientation (Patient)\n is garantee to remain the same, and image Image Position (Patient) in other slice can be computed\n using the ZSpacing (3rd dimension)\n (0020,0032) DS [87.774866\\-182.908510\\168.629671]       #  32, 3 ImagePositionPatient\n (0020,0037) DS [0.001479\\0.999989\\-0.004376\\-0.002039\\-0.004372\\-0.999988] #  58, 6 ImageOrientationPatient\n"},
  {(char*)"GetImageOrientationPatient",                (PyCFunction)PyvtkGDCMImageReader_GetImageOrientationPatient, 1,
   (char*)"V.GetImageOrientationPatient() -> (float, float, float, float, float, float)\nC++: double  *GetImageOrientationPatient ();\n\n Return the 'raw' information stored in the DICOM file:\n In case of a series of multiple files, only the first file is considered. The Image Orientation (Patient)\n is garantee to remain the same, and image Image Position (Patient) in other slice can be computed\n using the ZSpacing (3rd dimension)\n (0020,0032) DS [87.774866\\-182.908510\\168.629671]       #  32, 3 ImagePositionPatient\n (0020,0037) DS [0.001479\\0.999989\\-0.004376\\-0.002039\\-0.004372\\-0.999988] #  58, 6 ImageOrientationPatient\n"},
  {(char*)"GetCurve",                (PyCFunction)PyvtkGDCMImageReader_GetCurve, 1,
   (char*)"V.GetCurve() -> vtkPolyData\nC++: vtkPolyData *GetCurve ();\n\n Set/Get the first Curve Data:\n"},
  {(char*)"SetCurve",                (PyCFunction)PyvtkGDCMImageReader_SetCurve, 1,
   (char*)"V.SetCurve(vtkPolyData)\nC++: virtual void SetCurve (vtkPolyData *pd);\n\n Set/Get the first Curve Data:\n"},
  {(char*)"GetShift",                (PyCFunction)PyvtkGDCMImageReader_GetShift, 1,
   (char*)"V.GetShift() -> float\nC++: double GetShift ();\n\n \\DEPRECATED:\n Modality LUT\n Value returned by GetShift/GetScale might be innacurate since Shift/Scale could be\n varying along the Series read. Therefore user are advices not to use those functions\n anymore\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkGDCMImageReader_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale ();\n\n \\DEPRECATED:\n Modality LUT\n Value returned by GetShift/GetScale might be innacurate since Shift/Scale could be\n varying along the Series read. Therefore user are advices not to use those functions\n anymore\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGDCMImageReaderDoc[] = {
  (char*)"vtkGDCMImageReader - read DICOM Image files (Pixel Data)\n\n",
  "Super Class:\n\n vtkMedicalImageReader2\n\n",
  (char*)" vtkGDCMImageReader is a source object that reads some DICOM files\n this reader is single threaded.\n .SECTION Implementation note: when FileLowerLeft is set to on the image is not flipped\n upside down as VTK would expect, use this option only if you know what you are doing.\n .SECTION Implementation note: when reading a series of 2D slices, user is\n expected to provide an ordered list of filenames.",
  (char*)" No sorting will be applied afterward. \n .SECTION Implementation note: Although 99% of the time the Zspacing as read \n from a tag in a 2D DICOM file should be correct, there has been reports that this \n value can be missing, or incorrect, in which case users are advised to override this \n value using the return value from gdcm::IPPSorter::GetZSpacing() and set it via \n vtkImageChangeInformation on",
  (char*)" the reader itself.\n .SECTION TODO\n This reader does not handle a series of 3D images, only a single 3D (multi frame) or a \n list of 2D files are supported for now.\n .SECTION TODO\n Did not implement SetFilePattern / SetFilePrefix API, move it to protected section for now.\n .SECTION BUG\n Overlay are assumed to have the same extent as image. Right now if overlay origin is not\n 0,0 the overlay will h",
  (char*)"ave an offset...\n Only the very first overlay is loaded at the VTK level, for now (even if there are more than one in the file)\n .SECTION DataOrigin\n When the reader is instanciated with FileLowerLeftOn the DataOrigin and Image Position (Patient) are\n identical. But when FileLowerLeft is Off, we have to reorder the Y-line of the image, and thus the DataOrigin\n is then translated to the other side ",
  (char*)"of the image.\n .SECTION Spacing\n When reading a 3D volume, the spacing along the Z dimension might be negative (so as to respect up-side-down)\n as specified in the Image Orientation (Patient) tag. When Z-spacing is 0, this means the multi-frame object\n contains image which do not represent uniform volume.\n .SECTION Warning\n When using vtkGDCMPolyDataReader in conjonction with vtkGDCMImageReader \n ",
  (char*)"it is *required* that FileLowerLeft is set to ON as coordinate system\n would be inconsistant in between the two data structures.\n .SECTION Color Space mapping:\n * VTK_LUMINANCE         <-> MONOCHROME2\n * VTK_LUMINANCE_ALPHA   <-> Not supported\n * VTK_RGB               <-> RGB\n * VTK_RGBA              <-> ARGB (deprecated, DICOM 2008)\n * VTK_INVERSE_LUMINANCE <-> MONOCHROME1\n * VTK_LOOKUP_TABLE    ",
  (char*)"  <-> PALETTE COLOR\n * VTK_YBR               <-> YBR_FULL\n \n For detailed information on color space transformation and true lossless transformation see:\n http://apps.sourceforge.net/mediawiki/gdcm/index.php?title=Color_Space_Transformations\n\n",
  "See Also:\n\n vtkMedicalImageReader2 vtkMedicalImageProperties vtkGDCMPolyDataReader vtkGDCMImageWriter\n vtkDICOMImageReader\n\n",
  NULL
};

static vtkObjectBase *vtkGDCMImageReaderStaticNew()
{
  return vtkGDCMImageReader::New();
}

PyObject *PyVTKClass_vtkGDCMImageReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkGDCMImageReaderStaticNew,
                        PyvtkGDCMImageReaderMethods,
                        (char*)"vtkGDCMImageReader",modulename,
                        (char**)vtkGDCMImageReaderDoc,
                        PyVTKClass_vtkMedicalImageReader2New(modulename));
}

