// python wrapper for vtkGDCMImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMImageWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMImageWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMImageWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }

static PyObject *PyvtkGDCMImageWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  const char    *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  vtkGDCMImageWriter  *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGDCMImageWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGDCMImageWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetMedicalImageProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  vtkMedicalImageProperties  *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetMedicalImageProperties();
      }
    else
      {
      temp20 = op->GetMedicalImageProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetMedicalImageProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  vtkMedicalImageProperties  *temp0;
  PyObject *tempH0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMedicalImageProperties *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMedicalImageProperties");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetMedicalImageProperties(temp0);
      }
    else
      {
      op->SetMedicalImageProperties(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetFileNames(temp0);
      }
    else
      {
      op->SetFileNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  vtkStringArray  *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetFileNames();
      }
    else
      {
      temp20 = op->GetFileNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetLossyFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetLossyFlag();
      }
    else
      {
      temp20 = op->GetLossyFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetLossyFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetLossyFlag(temp0);
      }
    else
      {
      op->SetLossyFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_LossyFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::LossyFlagOn();
      }
    else
      {
      op->LossyFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_LossyFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::LossyFlagOff();
      }
    else
      {
      op->LossyFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::Write();
      }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  const char    *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  const char    *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetDirectionCosines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetDirectionCosines(temp0);
      }
    else
      {
      op->SetDirectionCosines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetDirectionCosines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  vtkMatrix4x4  *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetDirectionCosines();
      }
    else
      {
      temp20 = op->GetDirectionCosines();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetDirectionCosinesFromImageOrientationPatient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  double temp0[6];
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetDirectionCosinesFromImageOrientationPatient(temp0);
      }
    else
      {
      op->SetDirectionCosinesFromImageOrientationPatient(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  double   temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetShift(temp0);
      }
    else
      {
      op->SetShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  double   temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetShift();
      }
    else
      {
      temp20 = op->GetShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  double   temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  double   temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetImageFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetImageFormat();
      }
    else
      {
      temp20 = op->GetImageFormat();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetImageFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetImageFormat(temp0);
      }
    else
      {
      op->SetImageFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_FileLowerLeftOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::FileLowerLeftOn();
      }
    else
      {
      op->FileLowerLeftOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_FileLowerLeftOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::FileLowerLeftOff();
      }
    else
      {
      op->FileLowerLeftOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetFileLowerLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetFileLowerLeft();
      }
    else
      {
      temp20 = op->GetFileLowerLeft();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetFileLowerLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetFileLowerLeft(temp0);
      }
    else
      {
      op->SetFileLowerLeft(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetPlanarConfiguration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetPlanarConfiguration(temp0);
      }
    else
      {
      op->SetPlanarConfiguration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetPlanarConfiguration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetPlanarConfiguration();
      }
    else
      {
      temp20 = op->GetPlanarConfiguration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetStudyUID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  char    *temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetStudyUID(temp0);
      }
    else
      {
      op->SetStudyUID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetStudyUID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  char    *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetStudyUID();
      }
    else
      {
      temp20 = op->GetStudyUID();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetSeriesUID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  char    *temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetSeriesUID(temp0);
      }
    else
      {
      op->SetSeriesUID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetSeriesUID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  char    *temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetSeriesUID();
      }
    else
      {
      temp20 = op->GetSeriesUID();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_SetCompressionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp0;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMImageWriter::SetCompressionType(temp0);
      }
    else
      {
      op->SetCompressionType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMImageWriter_GetCompressionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMImageWriter *op;

  int      temp20;
  op = (vtkGDCMImageWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMImageWriter::GetCompressionType();
      }
    else
      {
      temp20 = op->GetCompressionType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGDCMImageWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGDCMImageWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGDCMImageWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGDCMImageWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMImageWriter\nC++: vtkGDCMImageWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGDCMImageWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMImageWriter\nC++: vtkGDCMImageWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMedicalImageProperties",                (PyCFunction)PyvtkGDCMImageWriter_GetMedicalImageProperties, 1,
   (char*)"V.GetMedicalImageProperties() -> vtkMedicalImageProperties\nC++: vtkMedicalImageProperties *GetMedicalImageProperties ();\n\n Pass in the vtkmedicalimageproperties object for medical information\n to be mapped to DICOM attributes.\n"},
  {(char*)"SetMedicalImageProperties",                (PyCFunction)PyvtkGDCMImageWriter_SetMedicalImageProperties, 1,
   (char*)"V.SetMedicalImageProperties(vtkMedicalImageProperties)\nC++: virtual void SetMedicalImageProperties (vtkMedicalImageProperties *);\n\n Pass in the vtkmedicalimageproperties object for medical information\n to be mapped to DICOM attributes.\n"},
  {(char*)"SetFileNames",                (PyCFunction)PyvtkGDCMImageWriter_SetFileNames, 1,
   (char*)"V.SetFileNames(vtkStringArray)\nC++: virtual void SetFileNames (vtkStringArray *);\n\n Pass in the list of filename to be used to write out the DICOM file(s)\n"},
  {(char*)"GetFileNames",                (PyCFunction)PyvtkGDCMImageWriter_GetFileNames, 1,
   (char*)"V.GetFileNames() -> vtkStringArray\nC++: vtkStringArray *GetFileNames ();\n\n Pass in the list of filename to be used to write out the DICOM file(s)\n"},
  {(char*)"GetLossyFlag",                (PyCFunction)PyvtkGDCMImageWriter_GetLossyFlag, 1,
   (char*)"V.GetLossyFlag() -> int\nC++: int GetLossyFlag ();\n\n Set/Get whether or not the image was compressed using a lossy compression algorithm\n"},
  {(char*)"SetLossyFlag",                (PyCFunction)PyvtkGDCMImageWriter_SetLossyFlag, 1,
   (char*)"V.SetLossyFlag(int)\nC++: void SetLossyFlag (int );\n\n Set/Get whether or not the image was compressed using a lossy compression algorithm\n"},
  {(char*)"LossyFlagOn",                (PyCFunction)PyvtkGDCMImageWriter_LossyFlagOn, 1,
   (char*)"V.LossyFlagOn()\nC++: void LossyFlagOn ();\n\n Set/Get whether or not the image was compressed using a lossy compression algorithm\n"},
  {(char*)"LossyFlagOff",                (PyCFunction)PyvtkGDCMImageWriter_LossyFlagOff, 1,
   (char*)"V.LossyFlagOff()\nC++: void LossyFlagOff ();\n\n Set/Get whether or not the image was compressed using a lossy compression algorithm\n"},
  {(char*)"Write",                (PyCFunction)PyvtkGDCMImageWriter_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write ();\n\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkGDCMImageWriter_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Get the name of this file format.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkGDCMImageWriter_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n You need to manually specify the direction the image is in to write a valid DICOM file\n since vtkImageData do not contains one (eg. MR Image Storage, CT Image Storage...)\n"},
  {(char*)"SetDirectionCosines",                (PyCFunction)PyvtkGDCMImageWriter_SetDirectionCosines, 1,
   (char*)"V.SetDirectionCosines(vtkMatrix4x4)\nC++: virtual void SetDirectionCosines (vtkMatrix4x4 *matrix);\n\n You need to manually specify the direction the image is in to write a valid DICOM file\n since vtkImageData do not contains one (eg. MR Image Storage, CT Image Storage...)\n"},
  {(char*)"GetDirectionCosines",                (PyCFunction)PyvtkGDCMImageWriter_GetDirectionCosines, 1,
   (char*)"V.GetDirectionCosines() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetDirectionCosines ();\n\n You need to manually specify the direction the image is in to write a valid DICOM file\n since vtkImageData do not contains one (eg. MR Image Storage, CT Image Storage...)\n"},
  {(char*)"SetDirectionCosinesFromImageOrientationPatient",                (PyCFunction)PyvtkGDCMImageWriter_SetDirectionCosinesFromImageOrientationPatient, 1,
   (char*)"V.SetDirectionCosinesFromImageOrientationPatient((float, float, float, float, float, float))\nC++: virtual void SetDirectionCosinesFromImageOrientationPatient (const double dircos[6]);\n\n You need to manually specify the direction the image is in to write a valid DICOM file\n since vtkImageData do not contains one (eg. MR Image Storage, CT Image Storage...)\n"},
  {(char*)"SetShift",                (PyCFunction)PyvtkGDCMImageWriter_SetShift, 1,
   (char*)"V.SetShift(float)\nC++: void SetShift (double );\n\n Modality LUT\n"},
  {(char*)"GetShift",                (PyCFunction)PyvtkGDCMImageWriter_GetShift, 1,
   (char*)"V.GetShift() -> float\nC++: double GetShift ();\n\n Modality LUT\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkGDCMImageWriter_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale (double );\n\n Modality LUT\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkGDCMImageWriter_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale ();\n\n Modality LUT\n"},
  {(char*)"GetImageFormat",                (PyCFunction)PyvtkGDCMImageWriter_GetImageFormat, 1,
   (char*)"V.GetImageFormat() -> int\nC++: int GetImageFormat ();\n\n See vtkGDCMImageReader for list of ImageFormat\n"},
  {(char*)"SetImageFormat",                (PyCFunction)PyvtkGDCMImageWriter_SetImageFormat, 1,
   (char*)"V.SetImageFormat(int)\nC++: void SetImageFormat (int );\n\n See vtkGDCMImageReader for list of ImageFormat\n"},
  {(char*)"FileLowerLeftOn",                (PyCFunction)PyvtkGDCMImageWriter_FileLowerLeftOn, 1,
   (char*)"V.FileLowerLeftOn()\nC++: void FileLowerLeftOn ();\n\n Set/Get whether the data comes from the file starting in the lower left\n corner or upper left corner.\n"},
  {(char*)"FileLowerLeftOff",                (PyCFunction)PyvtkGDCMImageWriter_FileLowerLeftOff, 1,
   (char*)"V.FileLowerLeftOff()\nC++: void FileLowerLeftOff ();\n\n Set/Get whether the data comes from the file starting in the lower left\n corner or upper left corner.\n"},
  {(char*)"GetFileLowerLeft",                (PyCFunction)PyvtkGDCMImageWriter_GetFileLowerLeft, 1,
   (char*)"V.GetFileLowerLeft() -> int\nC++: int GetFileLowerLeft ();\n\n Set/Get whether the data comes from the file starting in the lower left\n corner or upper left corner.\n"},
  {(char*)"SetFileLowerLeft",                (PyCFunction)PyvtkGDCMImageWriter_SetFileLowerLeft, 1,
   (char*)"V.SetFileLowerLeft(int)\nC++: void SetFileLowerLeft (int );\n\n Set/Get whether the data comes from the file starting in the lower left\n corner or upper left corner.\n"},
  {(char*)"SetPlanarConfiguration",                (PyCFunction)PyvtkGDCMImageWriter_SetPlanarConfiguration, 1,
   (char*)"V.SetPlanarConfiguration(int)\nC++: void SetPlanarConfiguration (int );\n\n For color image (more than a single comp) you can specify the planar configuration you prefer\n"},
  {(char*)"GetPlanarConfiguration",                (PyCFunction)PyvtkGDCMImageWriter_GetPlanarConfiguration, 1,
   (char*)"V.GetPlanarConfiguration() -> int\nC++: int GetPlanarConfiguration ();\n\n For color image (more than a single comp) you can specify the planar configuration you prefer\n"},
  {(char*)"SetStudyUID",                (PyCFunction)PyvtkGDCMImageWriter_SetStudyUID, 1,
   (char*)"V.SetStudyUID(string)\nC++: void SetStudyUID (char *);\n\n Set/Get specific StudyUID / SeriesUID\n"},
  {(char*)"GetStudyUID",                (PyCFunction)PyvtkGDCMImageWriter_GetStudyUID, 1,
   (char*)"V.GetStudyUID() -> string\nC++: char *GetStudyUID ();\n\n Set/Get specific StudyUID / SeriesUID\n"},
  {(char*)"SetSeriesUID",                (PyCFunction)PyvtkGDCMImageWriter_SetSeriesUID, 1,
   (char*)"V.SetSeriesUID(string)\nC++: void SetSeriesUID (char *);\n\n Set/Get specific StudyUID / SeriesUID\n"},
  {(char*)"GetSeriesUID",                (PyCFunction)PyvtkGDCMImageWriter_GetSeriesUID, 1,
   (char*)"V.GetSeriesUID() -> string\nC++: char *GetSeriesUID ();\n\n Set/Get specific StudyUID / SeriesUID\n"},
  {(char*)"SetCompressionType",                (PyCFunction)PyvtkGDCMImageWriter_SetCompressionType, 1,
   (char*)"V.SetCompressionType(int)\nC++: void SetCompressionType (int );\n\n"},
  {(char*)"GetCompressionType",                (PyCFunction)PyvtkGDCMImageWriter_GetCompressionType, 1,
   (char*)"V.GetCompressionType() -> int\nC++: int GetCompressionType ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGDCMImageWriterDoc[] = {
  (char*)"vtkGDCMImageWriter - write DICOM files\n\n",
  "Super Class:\n\n vtkImageWriter\n\n",
  (char*)" vtkGDCMImageWriter is a sink object that write DICOM files\n this writer is single threaded (see vtkGDCMThreadedImageReader2 for multi-thread)\n\n .SECTION Warning: vtkLookupTable from the vtkImageData object taken into account\n only if ImageFormat is set to VTK_LOOKUP_TABLE\n\n .SECTION NOTE We are not using the usual API SetFilePrefix / SetFilePattern, \n but instead a list of filenames: see SetFileN",
  (char*)"ames and class gdcm::FilenameGenerator\n\n .SECTION Warning\n You need to specify the correct ImageFormat (taken from the reader)\n You need to explicitely specify the DirectionCosines (taken from the reader)\n Since VTK 5.4 vtkMedicalImageProperties has its own DirectionCosine (no 's') \n user need to make sure the vtkMatrix4x4 is compatible with the 6-vector DirectionCosine.\n\n .SECTION NOTE Shift/Scal",
  (char*)"e are global to all DICOM frames (=files) written\n as 2D slice, therefore the shift/scale operation might not be optimized for \n all slices. This is not recommended for image with a large dynamic range.\n\n\n",
  "See Also:\n\n vtkImageWriter vtkMedicalImageProperties vtkGDCMImageReader\n\n",
  NULL
};

static vtkObjectBase *vtkGDCMImageWriterStaticNew()
{
  return vtkGDCMImageWriter::New();
}

PyObject *PyVTKClass_vtkGDCMImageWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGDCMImageWriterStaticNew,
                        PyvtkGDCMImageWriterMethods,
                        (char*)"vtkGDCMImageWriter",modulename,
                        (char**)vtkGDCMImageWriterDoc,
                        PyVTKClass_vtkImageWriterNew(modulename));
}

