// python wrapper for vtkGDCMPolyDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMPolyDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMPolyDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMPolyDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGDCMPolyDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataReader *op;

  const char    *temp20;
  op = (vtkGDCMPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMPolyDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGDCMPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMPolyDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataReader *op;

  vtkGDCMPolyDataReader  *temp20;
  op = (vtkGDCMPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMPolyDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGDCMPolyDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGDCMPolyDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataReader *op;

  char    *temp0;
  op = (vtkGDCMPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMPolyDataReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataReader *op;

  char    *temp20;
  op = (vtkGDCMPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMPolyDataReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataReader_GetMedicalImageProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataReader *op;

  vtkMedicalImageProperties  *temp20;
  op = (vtkGDCMPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMPolyDataReader::GetMedicalImageProperties();
      }
    else
      {
      temp20 = op->GetMedicalImageProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGDCMPolyDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGDCMPolyDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGDCMPolyDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGDCMPolyDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMPolyDataReader\nC++: vtkGDCMPolyDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGDCMPolyDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMPolyDataReader\nC++: vtkGDCMPolyDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkGDCMPolyDataReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/Get the filename of the file to be read\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkGDCMPolyDataReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/Get the filename of the file to be read\n"},
  {(char*)"GetMedicalImageProperties",                (PyCFunction)PyvtkGDCMPolyDataReader_GetMedicalImageProperties, 1,
   (char*)"V.GetMedicalImageProperties() -> vtkMedicalImageProperties\nC++: vtkMedicalImageProperties *GetMedicalImageProperties ();\n\n Get the medical image properties object\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGDCMPolyDataReaderDoc[] = {
  (char*)"vtkGDCMPolyDataReader - read DICOM PolyData files (Contour Data...)\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" For now only support RTSTRUCT (RT Structure Set Storage)\n .SECTION TODO\n Need to do the same job for DVH Sequence/DVH Data...\n .SECTION Warning\n When using vtkGDCMPolyDataReader in conjonction with vtkGDCMImageReader \n it is *required* that FileLowerLeft is set to ON as coordinate system\n would be inconsistant in between the two data structures.\n\n\n",
  "See Also:\n\n vtkGDCMImageReader vtkMedicalImageReader2 vtkMedicalImageProperties\n\n",
  NULL
};

static vtkObjectBase *vtkGDCMPolyDataReaderStaticNew()
{
  return vtkGDCMPolyDataReader::New();
}

PyObject *PyVTKClass_vtkGDCMPolyDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkGDCMPolyDataReaderStaticNew,
                        PyvtkGDCMPolyDataReaderMethods,
                        (char*)"vtkGDCMPolyDataReader",modulename,
                        (char**)vtkGDCMPolyDataReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

