// python wrapper for vtkGDCMTesting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMTesting.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMTestingNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMTestingNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGDCMTesting_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMTesting *op;

  const char    *temp20;
  op = (vtkGDCMTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMTesting::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMTesting_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMTesting *op;

  char    *temp0;
  int      temp20;
  op = (vtkGDCMTesting *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMTesting::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMTesting_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMTesting *op;

  vtkGDCMTesting  *temp20;
  op = (vtkGDCMTesting *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMTesting::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMTesting_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGDCMTesting  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGDCMTesting::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGDCMTesting_GetVTKDataRoot(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGDCMTesting::GetVTKDataRoot();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMTesting_GetGDCMDataRoot(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGDCMTesting::GetGDCMDataRoot();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGDCMTestingMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGDCMTesting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGDCMTesting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGDCMTesting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMTesting\nC++: vtkGDCMTesting *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGDCMTesting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMTesting\nC++: vtkGDCMTesting *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetVTKDataRoot",                (PyCFunction)PyvtkGDCMTesting_GetVTKDataRoot, 1,
   (char*)"V.GetVTKDataRoot() -> string\nC++: static const char *GetVTKDataRoot ();\n\n"},
  {(char*)"GetGDCMDataRoot",                (PyCFunction)PyvtkGDCMTesting_GetGDCMDataRoot, 1,
   (char*)"V.GetGDCMDataRoot() -> string\nC++: static const char *GetGDCMDataRoot ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGDCMTestingDoc[] = {
  (char*)"vtkGDCMTesting - GDCM Testing\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" GDCM Testing\n\n",
  "See Also:\n\n vtkTesting\n\n",
  NULL
};

static vtkObjectBase *vtkGDCMTestingStaticNew()
{
  return vtkGDCMTesting::New();
}

PyObject *PyVTKClass_vtkGDCMTestingNew(char *modulename)
{
  return PyVTKClass_New(&vtkGDCMTestingStaticNew,
                        PyvtkGDCMTestingMethods,
                        (char*)"vtkGDCMTesting",modulename,
                        (char**)vtkGDCMTestingDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

