// python wrapper for vtkGDCMThreadedImageReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMThreadedImageReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMThreadedImageReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMThreadedImageReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGDCMImageReaderNew(char *); }

static PyObject *PyvtkGDCMThreadedImageReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  const char    *temp20;
  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMThreadedImageReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMThreadedImageReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  vtkGDCMThreadedImageReader  *temp20;
  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMThreadedImageReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGDCMThreadedImageReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGDCMThreadedImageReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_SetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  double   temp0;
  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMThreadedImageReader::SetShift(temp0);
      }
    else
      {
      op->SetShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  double   temp0;
  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMThreadedImageReader::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_SetUseShiftScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  int      temp0;
  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMThreadedImageReader::SetUseShiftScale(temp0);
      }
    else
      {
      op->SetUseShiftScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_GetUseShiftScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  int      temp20;
  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMThreadedImageReader::GetUseShiftScale();
      }
    else
      {
      temp20 = op->GetUseShiftScale();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_UseShiftScaleOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMThreadedImageReader::UseShiftScaleOn();
      }
    else
      {
      op->UseShiftScaleOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMThreadedImageReader_UseShiftScaleOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMThreadedImageReader *op;

  op = (vtkGDCMThreadedImageReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGDCMThreadedImageReader::UseShiftScaleOff();
      }
    else
      {
      op->UseShiftScaleOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGDCMThreadedImageReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGDCMThreadedImageReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGDCMThreadedImageReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGDCMThreadedImageReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMThreadedImageReader\nC++: vtkGDCMThreadedImageReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGDCMThreadedImageReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMThreadedImageReader\nC++: vtkGDCMThreadedImageReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetShift",                (PyCFunction)PyvtkGDCMThreadedImageReader_SetShift, 1,
   (char*)"V.SetShift(float)\nC++: void SetShift (double );\n\n Explicitely set the Rescale Intercept (0028,1052)\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkGDCMThreadedImageReader_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale (double );\n\n Explicitely get/set the Rescale Slope (0028,1053)\n"},
  {(char*)"SetUseShiftScale",                (PyCFunction)PyvtkGDCMThreadedImageReader_SetUseShiftScale, 1,
   (char*)"V.SetUseShiftScale(int)\nC++: void SetUseShiftScale (int );\n\n Determine whether or not reader should use value from Shift/Scale\n Default is 1\n"},
  {(char*)"GetUseShiftScale",                (PyCFunction)PyvtkGDCMThreadedImageReader_GetUseShiftScale, 1,
   (char*)"V.GetUseShiftScale() -> int\nC++: int GetUseShiftScale ();\n\n Determine whether or not reader should use value from Shift/Scale\n Default is 1\n"},
  {(char*)"UseShiftScaleOn",                (PyCFunction)PyvtkGDCMThreadedImageReader_UseShiftScaleOn, 1,
   (char*)"V.UseShiftScaleOn()\nC++: void UseShiftScaleOn ();\n\n Determine whether or not reader should use value from Shift/Scale\n Default is 1\n"},
  {(char*)"UseShiftScaleOff",                (PyCFunction)PyvtkGDCMThreadedImageReader_UseShiftScaleOff, 1,
   (char*)"V.UseShiftScaleOff()\nC++: void UseShiftScaleOff ();\n\n Determine whether or not reader should use value from Shift/Scale\n Default is 1\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGDCMThreadedImageReaderDoc[] = {
  (char*)"vtkGDCMThreadedImageReader - read DICOM files with multiple threads\n\n",
  "Super Class:\n\n vtkGDCMImageReader\n\n",
  (char*)" vtkGDCMThreadedImageReader is a source object that reads some DICOM files\n This reader is threaded. Meaning that on a multiple core CPU with N cpu, it will\n read approx N times faster than when reading in a single thread.\n\n .SECTION Warning: Advanced users only. Do not use this class in the general case, \n you have to understand how physicaly medium works first (sequencial reading for \n instance)",
  (char*)" before playing with this class\n\n .SECTION Implementation note: when FileLowerLeft is set to on the image is not flipped\n upside down as VTK would expect, use this option only if you know what you are doing\n\n .SECTION FIXME: need to implement the other mode where FileLowerLeft is set to OFF\n\n .SECTION FIXME: you need to call SetFileName when reading a volume file (multiple slices DICOM)\n since Set",
  (char*)"FileNames expect each single file to be single slice (see parent class)\n\n .SECTION BUG: you should really consider using vtkGDCMThreadedImageReader2 instead !\n\n\n",
  "See Also:\n\n vtkMedicalImageReader2 vtkMedicalImageProperties vtkGDCMThreadedImageReader2\n\n",
  NULL
};

static vtkObjectBase *vtkGDCMThreadedImageReaderStaticNew()
{
  return vtkGDCMThreadedImageReader::New();
}

PyObject *PyVTKClass_vtkGDCMThreadedImageReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkGDCMThreadedImageReaderStaticNew,
                        PyvtkGDCMThreadedImageReaderMethods,
                        (char*)"vtkGDCMThreadedImageReader",modulename,
                        (char**)vtkGDCMThreadedImageReaderDoc,
                        PyVTKClass_vtkGDCMImageReaderNew(modulename));
}

